#!/usr/bin/env python
"""
_HeartBeats_

Monitoring componente_heartbeat
T0Mon: this class is used in the frontpage
"""
__all__ = []
__revision__ = "$Id: HeartBeats.py,v 1.2 2010/11/04 15:03:02 dzambon Exp $"
__version__ = "$Revision: 1.2 $"

from WMCore.Database.DBFormatter import DBFormatter

class HeartBeats(DBFormatter):
    
    sql = """SELECT name, last_updated FROM component_heartbeat"""
             
    def execute(self, conn = None, transaction = False):
        bindVars = {}
        result = self.dbi.processData(self.sql, bindVars, conn = conn,
                                      transaction = transaction)
        
        return self.formatDict(result)