#!/usr/bin/env python
"""
_Run_

Monitoring DAO classes for Runs in WMBS ordered by decreasing start time
T0Mon: this class is used to test the Tier-0 DAS availability
"""


from WMCore.Database.DBFormatter import DBFormatter

class LastRuns(DBFormatter):
    
    #TO: check what else is needed for return item
    sql = """SELECT run_id AS run,  run.start_time, run.reco_started, run_status.status FROM run  
             INNER JOIN run_status ON run.run_status = run_status.id 
             ORDER BY run_id DESC"""
    
    def format(self, result):
        return self.formatDict(result)